class Balls {
  //basic information for building a bouncing ball
  float locx, locy;
  float ballwidth, ballheight;
  //these are the speed for all the balls; make it random to have different speed for each of them
  float xspeed=random(10);
  float yspeed=random(10);
  int radius=25;
  PImage Ballsimg;
  PImage collidedBallImg;
  boolean iscollided=false;
  

  Balls(PImage _img,PImage _collidedBallImg) {// this is my constructor or a setup function for my "Ball" object
   
    locx=random(width); //putting random will let the balls appear at different locations
    locy=random(height);
    ballwidth=2*radius;
    ballheight=2*radius;
    Ballsimg= _img;// this is inserting the image file loaded previously to every array of the NPC bouncing balls
    collidedBallImg= _collidedBallImg;// the donald trump w/ facemask image inserted for every array of NPC
}
  void drawBalls() {
    stroke(255,0,0);
    //ellipse(locx, locy, ballwidth, ballheight);
    imageMode(CENTER);
    if( iscollided==true){// if collided, it'll show this new collided image
      image(collidedBallImg, locx, locy, ballwidth+30, ballheight+20);
    }else{ //if not collided, it'll show this original image 
    image(Ballsimg, locx, locy, ballwidth+30, ballheight+20);
    }
  }
  void moveBalls() {//causes the NPC Balls to move around 
    locx+=xspeed;
    locy+=yspeed;
  }
  void Ballscheckedge() {//allows the Balls to bounce off the edges
    if (locx+radius >=width || locx+radius<=0) {
      xspeed*=-1;
    }
    if (locy+radius >=height || locy+radius<=0) {
      yspeed *=-1;
    }
  }
}
